package com.ssj.bean.sys.organization.domain;

import com.ssj.bean.common.framework.core.domain.BaseEntity;
import org.springframework.format.annotation.DateTimeFormat;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.util.Date;

/**
 * @author Mount Liu
 * @date 2019/2/27
 */
@Entity
@Table(name = "tb_teacher_organization")
public class OrgTeacher extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     *机构名称
     */
    private String name;
    /**
     * 机构地址
     */
    private String address;
    /**
     * 经度
     */
    private String lon;
    /**
     * 经度
     */
    private String lat;
    /**
     * 电话
     */
    private String phone;
    /**
     * 编号
     */
    private String code;
    /**
     * 创建时间
     */
    private Date createTime;

    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @Column(updatable=false)
    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public String getLon() {
        return lon;
    }

    public void setLon(String lon) {
        this.lon = lon;
    }

    public String getLat() {
        return lat;
    }

    public void setLat(String lat) {
        this.lat = lat;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }
}
